Bug 8006 - Loading offline circulation does not anonymize
Summary: Loading offline circulation does not anonymize
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-24 22:07 UTC by Joy Nelson
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8006 - Loading offline circulation does not anonymize (950 bytes, patch)
2012-04-25 12:46 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joy Nelson 2012-04-24 22:07:02 UTC
A Offline Circulation file that contains returned items does not anonymize those returns if the sys pref is set to anonymize.
Comment 1 Kyle M Hall 2012-04-25 12:46:07 UTC
Created attachment 9294 [details] [review]
Bug 8006 - Loading offline circulation does not anonymize

Simple, one line fix. Added the privacy parameter to the list
of parameters passed to C4::Circulation::MarkIssueReturned.
Comment 2 Bob Birchall 2012-06-11 14:47:35 UTC
Sys prefs were set as follows:
opac/annonymous patron = (borrower number)
opac/opacprivacy = Allow
opac/opacreadinghistory = Allow
patrons/intranetreadinghistory = Allow

In the OPAC, at the MyPrivacy tab, the parameter was set to 'Never'

On upload and processing of the file, the name of the book and the name of the patron were displayed.  However this is the same as in normal circulation.  This may require further consideration?

On checking the Circulation History tab of the patron's record in the staff client, the system displays 'This patron has no circulation history.'  This is what I understand to have been the objective of the patch.

Signing off.
Comment 3 Ian Walls 2012-06-15 17:25:44 UTC
Simple fix to add another value to exported params.  Marking Passed QA.
Comment 4 Paul Poulain 2012-06-20 17:41:22 UTC
patch pushed (untested, but very simple patch, trusting signoffer)
Comment 5 Chris Cormack 2012-06-23 07:06:59 UTC
Pushed to 3.8.x, will be in 3.8.3